> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get all Bitcoin Ordinals inscriptions associated with a specific address, including inscription details and metadata.

# Inscriptions by Address



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /addresses/{address}/inscriptions
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /addresses/{address}/inscriptions:
    get:
      tags:
        - Addresses
      summary: Inscriptions by Address
      description: >-
        Retrieves all inscriptions currently controlled by a specific address.
        Useful for wallet UIs and inscription portfolio views.
      operationId: inscriptions_by_address
      parameters:
        - name: address
          in: path
          description: Bitcoin address or hex encoded script pubkey
          required: true
          schema:
            type: string
          example: bc1phyrmjs2jm5c98tldke2ykp0h66lsx3wy0ey8ug2fjj5mxsn8ftqsa24un8
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedInscriptionByAddress'
              example:
                data:
                  - inscription_id: >-
                      f02da3d6bebab13d5d604be1ed73d9a9c677dadf6ca71bc5fff7d99cdead11b0i0
                    satoshis: 546
                    utxo_block_height: 843010
                    utxo_confirmations: 23701
                    utxo_sat_offset: 0
                    utxo_txid: >-
                      e2283e7c915ef074806136e0002cbc69f5fdd2e9f70f14b0eab48cdcbe867cc1
                    utxo_vout: 0
                  - inscription_id: >-
                      7d0a2dd897222913d58fc957b0429526117a0a61c964642fe93b077f328ccec1i0
                    satoshis: 546
                    utxo_block_height: 850976
                    utxo_confirmations: 15735
                    utxo_sat_offset: 0
                    utxo_txid: >-
                      3c7c0f5c6a0d3f0ab5c8bcef0adf3be56f5aeed8b2dd1504b7a950fc4fee1f46
                    utxo_vout: 1
                  - inscription_id: >-
                      360550a31c9510ed5052c4351619bf68d5ae3f218bf2e9c1092090dbcf86acb3i0
                    satoshis: 546
                    utxo_block_height: 850976
                    utxo_confirmations: 15735
                    utxo_sat_offset: 0
                    utxo_txid: >-
                      3c7c0f5c6a0d3f0ab5c8bcef0adf3be56f5aeed8b2dd1504b7a950fc4fee1f46
                    utxo_vout: 1
                last_updated:
                  block_hash: >-
                    00000000000000000000ec10254178fe52253f40c1fad252e892d9aa22ee8fa7
                  block_height: 866710
                next_cursor: null
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedInscriptionByAddress:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/InscriptionByAddress'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
        next_cursor:
          type: string
          nullable: true
    InscriptionByAddress:
      type: object
      required:
        - inscription_id
        - satoshis
        - utxo_sat_offset
        - utxo_txid
        - utxo_vout
        - utxo_block_height
        - utxo_confirmations
      properties:
        inscription_id:
          type: string
          description: >-
            String representation of the inscription ID, whose first coordinate
            is the reveal

            transaction hash, and the second coordinate is the index of
            inscription in the reveal

            transaction.
        satoshis:
          type: string
          description: Total number of satoshis in the UTxO containing the inscription.
        utxo_block_height:
          type: integer
          format: int64
          description: Block height of the UTxO containing the inscription.
          minimum: 0
        utxo_confirmations:
          type: integer
          format: int64
          description: >-
            Number of confirmations of the block where the UTxO containing the
            inscription was created.
          minimum: 0
        utxo_sat_offset:
          type: integer
          format: int64
          description: Inscribed sat offset in the UTxO containing it.
          minimum: 0
        utxo_txid:
          type: string
          description: Transaction ID of the UTxO containing the inscription.
        utxo_vout:
          type: integer
          format: int32
          description: Output index of the UTxO containing the inscription.
          minimum: 0
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````